#ifndef INTERFACE
#define INTERFACE

/* define argument container */
typedef struct args{
  int n;          /* sample size */
  int s;          /* number of segregating sites */
  float p;        /* pi: average number of pairwise mismatches */
  int d;          /* debugging information? */
  int h;          /* help message? */
  int v;          /* print version? */
  int e;          /* error message? */
} Args;

Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);

#endif
